local SuperkittyIcon = "SuperkittyIcon"

-- Path to the Icons
Kitty = "SuperkittyIcons/imgs/Kitty.dds"
Seraph = "SuperkittyIcons/imgs/Seraph.dds"

-- Table for the icon paths
local KITTYCI = {
    "SuperkittyIcons/imgs/Kitty.dds",
    "SuperkittyIcons/imgs/Seraph.dds",
}

-- Users and their icons
local KITTYUI = {
    ["@Superkitty193"] = Kitty,
    ["@SeraphRemiel"] = Seraph,
}

-- Function to initialize the add-on
local function SuperkittyIcon_Initialize()
    -- Debug message to verify initialization
    d("SuperkittyIcons initialized.")

    -- Verify that OSI is defined and methods exist
    if OSI then
        if OSI.AddUniqueIconPack then
            OSI.AddUniqueIconPack(KITTYUI)
            d("Added unique icon pack.")
        else
            d("OSI.AddUniqueIconPack is not available.")
        end

        if OSI.AddCustomIconPack then
            OSI.AddCustomIconPack(KITTYCI)
            d("Added custom icon pack.")
        else
            d("OSI.AddCustomIconPack is not available.")
        end
    else
        d("OSI is not available.")
    end
end

-- Register an event to handle the add-on loading
EVENT_MANAGER:RegisterForEvent(SuperkittyIcon, EVENT_ADD_ON_LOADED, function(_, addonName)
    if addonName ~= SuperkittyIcon then return end

    EVENT_MANAGER:UnregisterForEvent(SuperkittyIcon, EVENT_ADD_ON_LOADED)
    
    -- Call initialization function
    SuperkittyIcon_Initialize()
end)

-- Register another event to initialize SuperkittyIcons
EVENT_MANAGER:RegisterForEvent("IconsSetup", EVENT_ADD_ON_LOADED, function(...)
    SuperkittyIcon_Initialize()
end)
